Voices
Rename a voice
PATCH
Renames a saved voice.
bearerheader
AuthorizationBearer <API key>An API key from Settings, starting vcp_live_.
id*stringapplication/json- body
name*stringThe voice name.
Length
1 <= length <= 80OK.
application/json- response
id*stringA uuid for saved voices, or the preset id.
name*stringtype*stringValue in
"clone""design""preset"model*|The model a preset belongs to, or null for saved voices.
duration_seconds*|Length of the reference clip, or null.
Range
0 <= valuecreated_at*|When the voice was saved, or null for presets.
Format
date-timecurl -X PATCH 'https://api.vcp.name/v1/voices/string' \ -H 'Content-Type: application/json' \ -d '{ "name": "Narrator"}'Example Response
{ "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "name": "Narrator", "type": "clone", "model": null, "duration_seconds": 12.4, "created_at": "2026-10-30T00:10:42Z"}